variable "notification_policies" {
  description = "Routing rules for specific label sets"
  type = list(object({
    contact_point   = string
    continue        = optional(bool)
    group_by        = optional(list(string))
    group_wait      = optional(string)
    group_interval  = optional(string)
    repeat_interval = optional(string)
    matchers = list(object({
      label = string
      match = string # Allowed operators are = for equality, != for negated equality, =~ for regex equality, and !~ for negated regex equality
      value = string
    }))
    policies = optional(list(object({
      contact_point   = string
      continue        = optional(bool)
      group_by        = optional(list(string))
      group_wait      = optional(string)
      group_interval  = optional(string)
      repeat_interval = optional(string)
      matchers = list(object({
        label = string
        match = string
        value = string
      }))
    })), [])
  }))
  default = []
}
